Help & Support
Follow

What are the system requirements for LeanKit?

What browsers does LeanKit work with?

Since you use LeanKit through your internet browser, there are very few system requirements to worry about. 

LeanKit works with most modern browsers, including:

LeanKit  is functional with Internet Explorer versions 11 or newer.

The Opera web browser does not work with LeanKit. 

 

Mobile Applications 

LeanKit offers both Android and iOS mobile applications. To use these applications, you must install, at minimum:

  • iOS version 8 and above. Download it from the iOS App Store here.
  • Android version 4.1 ("Jelly Bean") and above. Download it from the Google Play Store here.

 

 

 

 

Doc ID: 1191984225

Have more questions? Submit a request